<?php 
/**
 * name: Lounge
 * description: Lounge theme for Hotaru CMS
 * version: 1.0
 * author: Carlo Armanni
 * authorurl: http://www.tr3ndy.com
 *
 * PHP version 5
 *
 * LICENSE: Hotaru CMS is free software: you can redistribute it and/or 
 * modify it under the terms of the GNU General Public License as 
 * published by the Free Software Foundation, either version 3 of 
 * the License, or (at your option) any later version. 
 *
 * Hotaru CMS is distributed in the hope that it will be useful, but WITHOUT 
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or 
 * FITNESS FOR A PARTICULAR PURPOSE. 
 *
 * You should have received a copy of the GNU General Public License along 
 * with Hotaru CMS. If not, see http://www.gnu.org/licenses/.
 * 
 * @category  Content Management System
 * @package   HotaruCMS
 * @author    Carlo Armanni <admin@tr3ndy.com>
 * @copyright Copyright (c) 2010, Tr3ndy.com
 * @license   http://www.gnu.org/copyleft/gpl.html GNU General Public License
 * @link      http://www.tr3ndy.com/
 */

// set a custom home page:
$h->setHome();

// get language
$h->includeThemeLanguage();

// get settings:
$h->vars['theme_settings'] = $h->getThemeSettings();

// plugins work here before anything is displayed. Return if overriding.
if ($h->pluginHook('theme_index_top')) { return false; };

// display header if not overriden by a plugin
if (!$h->pluginHook('theme_index_header')) { $h->displayTemplate('header'); }
?>

<body>

	<?php $h->pluginHook('post_open_body'); ?>	
	<?php if ($announcements = $h->checkAnnouncements()) { ?>
		<div id="announcement">
			<?php $h->pluginHook('announcement_first'); ?>
			<?php foreach ($announcements as $announcement) { echo $announcement . "<br />"; } ?>
			<?php $h->pluginHook('announcement_last'); ?>
		</div>
	<?php } ?>

	<div id="primario" class="container_12">
	<div id="prenavigation" class="grid_6">
		<!-- PRENAVIGATION -->
		<?php echo $h->vars['theme_settings']['topline']; ?>
	</div>
	<div id="navigation" class="grid_6 push_6">
		<!-- NAVIGATION -->
		<?php echo $h->displayTemplate('navigation'); ?>
	</div>
		<div class="clear"></div>
	<div id="navigation_social" class="grid_6 push_6">
		<!-- SOCIAL ICONS -->
		Follow us on 
		<a href="#"><img src='<?php echo SITEURL; ?>content/themes/<?php echo THEME; ?>images/facebook.png' alt='<?php echo $h->lang["main_theme_footer_hotaru_link"]; ?>' /></a>
		<a href="#"><img src='<?php echo SITEURL; ?>content/themes/<?php echo THEME; ?>images/twitter.png' alt='<?php echo $h->lang["main_theme_footer_hotaru_link"]; ?>' /></a>
		<a href="<?php echo $h->url(array('page'=>'rss')); ?>"><img src='<?php echo SITEURL; ?>content/themes/<?php echo THEME; ?>images/rss.png' alt='<?php echo $h->lang["main_theme_footer_hotaru_link"]; ?>' /></a>
		<a href="<?php echo $h->url(array('page'=>'rss','status'=>'upcoming')); ?>"><img src='<?php echo SITEURL; ?>content/themes/<?php echo THEME; ?>images/rss-blue.png' alt='<?php echo $h->lang["main_theme_footer_hotaru_link"]; ?>' /></a>
		</div>		
		<div class="clear"></div>		
	<div id="navigation_search" class="grid_6 push_6">
	<?php Widgets::singleWidget($h, "search"); ?>
	</div>		
		<div class="clear"></div>		
				
	<div id="header" class="grid_12">
		<!-- TITLE & AD BLOCKS -->
		<div id="hd_title">
			<h1><a href="<?php echo SITEURL; ?>"><?php echo SITE_NAME; ?></a></h1>
			<h3 class="subtitle"><?php echo $h->vars['theme_settings']['tagline']; ?></h3>
		</div>
		<div class="clear"></div>
	</div>
		
	<div id="header_end" class="grid_12">
		<!-- CATEGORIES, ETC -->
		<?php $h->pluginHook('header_end'); ?>
	</div>

		<div id="content">

			<div id="main_container" class="grid_7">
			<div id="main">

					<!-- BREADCRUMBS -->
					<div id='breadcrumbs'>
						<?php echo $h->breadcrumbs(); ?>
					</div>
					
					<!-- POST BREADCRUMBS -->
					<?php $h->pluginHook('theme_index_post_breadcrumbs'); ?>
					
					<!-- FILTER TABS -->
					<?php $h->pluginHook('theme_index_pre_main'); ?>
					
					<!-- MAIN -->
					<?php if (!$h->pluginHook('theme_index_main')) { $h->displayTemplate($h->pageName); } ?>

					<div class="clear"></div>
				</div>
			</div>
			
			<!-- COLONNA CENTRALE -->

			<div id="middle_container" class="grid_2">
				<div id="middle">
				<img src='<?php echo SITEURL; ?>content/themes/<?php echo THEME; ?>images/demoimages/125x125-wave.gif' alt='Sponsored Ads' /><br /><br />
				<img src='<?php echo SITEURL; ?>content/themes/<?php echo THEME; ?>images/demoimages/cssawards.jpg' alt='Sponsored Ads' /><br /><br />
				<img src='<?php echo SITEURL; ?>content/themes/<?php echo THEME; ?>images/demoimages/myvectorstore-125-125.gif' alt='Sponsored Ads' /><br /><br />
				<div id="adsense120x600"><img src='<?php echo SITEURL; ?>content/themes/<?php echo THEME; ?>images/demoimages/120x600.gif' alt='Sponsored Ads' /><br /><br />
				<img src='<?php echo SITEURL; ?>content/themes/<?php echo THEME; ?>images/demoimages/120x600_2.jpg' alt='Sponsored Ads' /></div><br /><br />
				<br />
				</div>			
			</div>	
			
			<!-- SIDEBAR -->
			<?php if ($h->sidebars) { ?>
				<div id="sidebar_container" class="grid_3">
			<div id="sidebar">
						<?php if (!$h->pluginHook('theme_index_sidebar')) { $h->displayTemplate('sidebar'); } ?>
					</div>
				</div> 
			<?php } ?>

		</div> <!-- close "content" -->


		<!-- FOOTER -->
		<div id="footer" class="grid_12">
			<?php if (!$h->pluginHook('theme_index_footer')) { $h->displayTemplate('footer'); } ?>
		</div>

	</div> <!-- close "container_12" -->

	<?php $h->pluginHook('pre_close_body'); ?>

</body>
</html>